public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* Cluster Project branch, master, updated. cluster-2.99.02-5-g4776995
@ 2008-05-20 13:46 lhh
  0 siblings, 0 replies; only message in thread
From: lhh @ 2008-05-20 13:46 UTC (permalink / raw)
  To: cluster-cvs, cluster-devel

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Cluster Project".

http://sources.redhat.com/git/gitweb.cgi?p=cluster.git;a=commitdiff;h=477699596c98dd6fa05cee1c033371e4e2a79ad2

The branch, master has been updated
       via  477699596c98dd6fa05cee1c033371e4e2a79ad2 (commit)
      from  287abb1c13c1304bc949ab649ca864e52b1c3371 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 477699596c98dd6fa05cee1c033371e4e2a79ad2
Author: Lon Hohberger <lhh@redhat.com>
Date:   Tue May 20 09:46:13 2008 -0400

    [rgmanager] Apply patch from Marcelo Azevedo to make migration more robust
    
    * Adds a mapping of cluster nodes to private hostnames for migration
      paths
    * Makes migration status reporting more robust

-----------------------------------------------------------------------

Summary of changes:
 rgmanager/src/resources/vm.sh |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

diff --git a/rgmanager/src/resources/vm.sh b/rgmanager/src/resources/vm.sh
index f192e2d..798f8a1 100755
--- a/rgmanager/src/resources/vm.sh
+++ b/rgmanager/src/resources/vm.sh
@@ -136,6 +136,16 @@ meta_data()
             <content type="integer"/>
         </parameter>
 
+       <parameter name="migration_mapping">
+           <longdesc lang="en">
+               Mapping of the hostname of a target cluster member to a different hostname
+           </longdesc>
+           <shortdesc lang="en">
+               memeberhost:targethost,memeberhost:targethost ..
+           </shortdesc>
+            <content type="string"/>
+        </parameter>
+
 	<parameter name="bootloader">
 	    <longdesc lang="en">
 		Boot loader that can start the VM from physical image
@@ -478,8 +488,14 @@ migrate()
 	if [ "$OCF_RESKEY_migrate" = "live" ]; then
 		migrate_opt="-l"
 	fi
-	
-	err=$(xm migrate $migrate_opt $OCF_RESKEY_name $target 2>&1 | head -1)
+
+	# Patch from Marcelo Azevedo to migrate over private
+	# LANs instead of public LANs
+        if [ -n $OCF_RESKEY_migration_mapping ] ; then
+                target=${OCF_RESKEY_migration_mapping#*$target:} target=${target%%,*}
+        fi
+
+	err=$(xm migrate $OCF_RESKEY_name $target 2>&1 | head -1; exit ${PIPESTATUS[0]})
 	rv=$?
 
 	if [ $rv -ne 0 ]; then


hooks/post-receive
--
Cluster Project


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2008-05-20 13:46 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2008-05-20 13:46 Cluster Project branch, master, updated. cluster-2.99.02-5-g4776995 lhh

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).